summaryrefslogtreecommitdiff
path: root/eclass/xorg-2.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2019-03-19 11:37:34 +0000
committerV3n3RiX <venerix@redcorelinux.org>2019-03-19 11:37:34 +0000
commitb7b97785ebbb2f11d24d14dab8b81ed274f4ce6a (patch)
tree9fd110f9fc996e8a4213eeda994a8c112491b86d /eclass/xorg-2.eclass
parent066d27181e9a797ad9f8fc43b49fc9a10ff2f707 (diff)
gentoo resync : 19.03.2019
Diffstat (limited to 'eclass/xorg-2.eclass')
-rw-r--r--eclass/xorg-2.eclass13
1 files changed, 7 insertions, 6 deletions
diff --git a/eclass/xorg-2.eclass b/eclass/xorg-2.eclass
index 416a3ae30ec0..0bba5bb7a369 100644
--- a/eclass/xorg-2.eclass
+++ b/eclass/xorg-2.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
# @ECLASS: xorg-2.eclass
@@ -61,7 +61,6 @@ esac
EXPORT_FUNCTIONS ${EXPORTED_FUNCTIONS}
IUSE=""
-HOMEPAGE="https://www.x.org/wiki/ https://cgit.freedesktop.org/"
# @ECLASS-VARIABLE: XORG_EAUTORECONF
# @DESCRIPTION:
@@ -100,8 +99,10 @@ fi
# This variable can be used for proper directory specification
: ${XORG_PACKAGE_NAME:=${PN}}
+HOMEPAGE="https://www.x.org/wiki/ https://gitlab.freedesktop.org/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}"
+
if [[ -n ${GIT_ECLASS} ]]; then
- : ${EGIT_REPO_URI:="https://anongit.freedesktop.org/git/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}.git"}
+ : ${EGIT_REPO_URI:="https://gitlab.freedesktop.org/xorg/${XORG_MODULE}${XORG_PACKAGE_NAME}.git"}
elif [[ -n ${XORG_BASE_INDIVIDUAL_URI} ]]; then
SRC_URI="${XORG_BASE_INDIVIDUAL_URI}/${XORG_MODULE}${P}.tar.bz2"
fi
@@ -136,10 +137,10 @@ unset EAUTORECONF_DEPEND
if [[ ${FONT} == yes ]]; then
RDEPEND+=" media-fonts/encodings
- x11-apps/mkfontscale
- x11-apps/mkfontdir"
+ || ( >=x11-apps/mkfontscale-1.2.0 ( x11-apps/mkfontscale x11-apps/mkfontdir ) )"
PDEPEND+=" media-fonts/font-alias"
- DEPEND+=" >=media-fonts/font-util-1.2.0"
+ DEPEND+=" >=media-fonts/font-util-1.2.0
+ || ( >=x11-apps/mkfontscale-1.2.0 ( x11-apps/mkfontscale x11-apps/mkfontdir ) )"
# @ECLASS-VARIABLE: FONT_DIR
# @DESCRIPTION: